<template>
  <v-card>
    <v-toolbar flat>
      <v-toolbar-title>
        <v-icon color="info" class="mx-2">timeline</v-icon>
        รายละเอียดการซ่อม
      </v-toolbar-title>
    </v-toolbar>
    <v-card-text>
      <div class="my-4" v-if="loadingRepair">
        <CardLoading></CardLoading>
      </div>
      <div class="my-4" v-else>
        <v-row>
          <v-col cols="12">
            <graph-pie
              :width="500"
              :height="500"
              :padding-top="75"
              :padding-right="75"
              :padding-bottom="75"
              :padding-left="75"
              :values="values"
              :names="names"
              :active-index="[0, 2]"
              :active-event="'click'"
              :show-text-type="'outside'"
              :data-format="dataFormat"
              :shape="'donut'"
              
            >
              <legends :names="names"></legends>
              <tooltip :names="names"></tooltip>
            </graph-pie>
          </v-col>
        </v-row>
      </div>
    </v-card-text>
  </v-card>
</template>

<script>
import CardLoading from "./CardLoading";
export default {
  components: {
    CardLoading,
  },
  data() {
    return {
      loadingRepair: true,
      values: [],
      accountId:localStorage.getItem("accountId"),
      names: ["ซ่อมเสร็จสิ้น", "ดำเนินการซ่อม", "รอตรวจสอบ", "ไม่ผ่านการอนุมัติ"],
    };
  },
  async created() {
    await this.fetchRepair();
    this.loadingRepair = false;
  },
  methods: {
    dataFormat: function (a, b) {
      if (b) return b + " locker";
      return a;
    },
    async fetchRepair() {
      this.values = [];
      await this.$store.dispatch(
        "repair/getSummaryRepair",
        this.accountId
      );
      this.values = this.$store.getters["repair/data"];
    },
  },
};
</script>

<style>
</style>